Update an existing role
curl --request PUT \
--url https://api.eu.bronto.io/roles/{role_id} \
--header 'Content-Type: application/json' \
--header 'X-BRONTO-API-KEY: <api-key>' \
--data '
{
"id": "<string>",
"role_type": "<string>",
"display_name": "<string>",
"description": "<string>",
"permissions": [
"tag_write",
"tag_read",
"tag_delete"
]
}
'import requests
url = "https://api.eu.bronto.io/roles/{role_id}"
payload = {
"id": "<string>",
"role_type": "<string>",
"display_name": "<string>",
"description": "<string>",
"permissions": ["tag_write", "tag_read", "tag_delete"]
}
headers = {
"X-BRONTO-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-BRONTO-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
role_type: '<string>',
display_name: '<string>',
description: '<string>',
permissions: ['tag_write', 'tag_read', 'tag_delete']
})
};
fetch('https://api.eu.bronto.io/roles/{role_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"role_id": "<string>",
"role_type": "USER",
"display_name": "<string>",
"description": "<string>",
"is_system_role": true,
"metadata": {
"created_at": 123,
"created_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"modified_at": 123,
"modified_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"deleted_at": 123,
"deleted_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"last_heartbeat_at": 123
},
"permissions": [
{
"group_name": "<string>",
"group_display_name": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"type": "<string>",
"restricted": true,
"sensitive": true
}
]
}{
"bad_request_validation": {
"summary": "Bad Request - Validation Error",
"description": "Example error when request validation fails",
"value": {
"code": 400,
"type": "Bad Request",
"correlation_id": "95c6a974e3ab01209b6b0dfedb1b16c5",
"details": "Validation failed: 'name' field is required and cannot be empty"
}
},
"bad_request_invalid_type": {
"summary": "Bad Request - Invalid Metric Type",
"description": "Example error when an invalid metric type is provided",
"value": {
"code": 400,
"type": "Bad Request",
"correlation_id": "00d8a51bb2874f2583670317a4fb8db7",
"details": "Invalid metric_type 'INVALID'. Must be one of: COUNTER, GAUGE, HISTOGRAM"
}
},
"forbidden": {
"summary": "Forbidden Access",
"description": "Example error when user lacks required permissions",
"value": {
"code": 403,
"type": "Forbidden",
"correlation_id": "40276639de0f49d586e32edd8c4f6b34",
"details": "Access denied. User does not have permission to create metric definition templates"
}
},
"not_found": {
"summary": "Resource Not Found",
"description": "Example error when requested resource doesn't exist",
"value": {
"code": 404,
"type": "Not Found",
"correlation_id": "605f832bcfe44a1081441691c8d42253",
"details": "Metric definition template with id '550e8400-e29b-41d4-a716-446655440000' not found"
}
},
"rate_limit": {
"summary": "Rate Limit Exceeded",
"description": "Example error when API rate limit is exceeded",
"value": {
"code": 429,
"type": "Too Many Requests",
"correlation_id": "53909ed43c544531b7a555e295960437",
"details": "Rate limit exceeded. Maximum 100 requests are allowed within a 5-minute window"
}
},
"internal_server_error": {
"summary": "Internal Server Error",
"description": "Example error for unexpected server-side failures",
"value": {
"code": 500,
"type": "Internal Server Error",
"correlation_id": "b129b8e0e66c41aa9541a30f67e38ce2",
"details": "An unexpected error occurred while processing your request"
}
}
}roles
Update an existing role
Updates a role’s properties and assigned permissions.
PUT
/
roles
/
{role_id}
Update an existing role
Authorizations
ApiKeyAuthBearerAuth
Path Parameters
Body
application/json
Response
Role updated successfully.
The ID of the role
The entity which the roles can be applied to
Available options:
USER, API The display name of the role
Description of the role
Whether this is a built-in system role or a custom user-created role
Common metadata attached to all persisted resources.
Show child attributes
Show child attributes
Show child attributes
Show child attributes

